(* EPITA SPE 2010/2011       *)
(* Contrôle 2 - Février 2011 *)
(* question05                *)

type tree =
    Empty
  | Node of tree * string * tree

let ordering t =
  let rec order h c = function
    | Empty -> ()
    | Node(ls,k,rs) ->
	begin
	  incr c;
	  let op = !c in
	    order h c ls;
	    order h c rs;
	    incr c;
	    Hashtbl.add h k (op,!c)
	end
  in
  let h = Hashtbl.create 37 in
  let c = ref 0 in
    order h c t;
    (h,!c)
