/* EPITA SPE 2010/2011       */
/* Contrôle 2 - Février 2011 */
/* question07                */

#define QNUM 7
#define QOPT "graine size"
#define QNOPT 2

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include "base_test.h"
#include "question07.h"

#define randChar ((char)(35 + (random()%92)))

void randomString(char s[], size_t len)
{
  for (unsigned i=0; i<len; i++)
    s[i] = randChar;
}

int main(int argc,char *argv[])
{
  size_t        size;
  char	       *s;

  help_asked(argc,argv,QNUM,QOPT);

  if (argc <= QNOPT)
    {
      fprintf(stderr, "Parametres insuffisants.\n");
      usage(NULL,QNUM,QOPT);
    }
  else
    {
      seedInit(argv);
      size = getSize(argv);
      s = calloc(1,size+1);
      randomString(s,size);
      printf("my_strlen(\"%s\") = %d\n",s,my_strlen(s));
    }
  exit(0);
}
