/* EPITA SPE 2010/2011       */
/* Contrôle 2 - Février 2011 */
/* question08                */

#define QNUM 8
#define QOPT "graine taille oldchar newchar"
#define QNOPT 4

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include "base_test.h"
#include "question08.h"

#define randChar ((char)('a' + (random()%26)))

void randomString(char s[], size_t len)
{
  for (unsigned i=0; i<len; i++)
    s[i] = randChar;
}

int main(int argc,char *argv[])
{
  size_t        size;
  char	       *s, o, n;

  help_asked(argc,argv,QNUM,QOPT);

  if (argc <= QNOPT)
    {
      fprintf(stderr, "Parametres insuffisants.\n");
      usage(NULL,QNUM,QOPT);
    }
  else
    {
      seedInit(argv);
      size = getSize(argv);
      o = argv[3][0];
      n = argv[4][0];
      s = calloc(1,size+1);
      randomString(s,size);
      printf("s = \"%s\"\n",s);

      printf("str_replace(s,'%c','%c',%d);\n",o,n,size+1);
      str_replace(s,o,n,size+1);
      printf("s = \"%s\"\n",s);

      printf("str_replace(s,'%c','%c',%d);\n",n,o,size+1);
      str_replace(s,n,o,size+1);
      printf("s = \"%s\"\n",s);

      printf("str_replace(s,'%c','%c',%d);\n",o,n,size/2);
      str_replace(s,o,n,size/2);
      printf("s = \"%s\"\n",s);
    }
  exit(0);
}
